/* ======================
   VARIÁVEIS DE TEMA
====================== */

:root {
    --bg-color: #e9e4dd;
    --text-color: #613500;
    --header-bg: #ebd8a7;
    --footer-bg: #e6c88c;
    --button-bg: #fff8ed;
    --button-hover: #cca770;
    --link-color: #a76d15;
    --link-hover: #d5ac5a;
    --card-color: #ebd8a7;
    --card-button: #ffefcf;
    --card-text-color: #976c37;

    --gradient-bg: linear-gradient(180deg,
            #ffffff,
            #fffaf2,
            #fff6e4,
            #ffeecc);
}

/* DARK MODE */
.dark-mode {

    --bg-color: #efefef;
    --text-color: #fff6e0;
    --header-bg: #f8e2ab;
    --footer-bg: #f1d4a0;
    --button-hover: #fff4e4;
    --button-bg: #b78e41;
    --link-hover: #a76d15;
    --link-color: #fff7eb;
    --card-color: #f3d796;
    --card-button: #dcb66a;
    --card-text-color: #c19248;

    --gradient-bg: linear-gradient(180deg,
            #7c5f2a,
            #61420e,
            #5a3d0b);
}

/* ======================
   RESET GLOBAL
====================== */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ======================
   FONTES
====================== */

@font-face {
    font-family: "MinhaFonte";
    src: url("../fonts/MinhaFonte.otf") format("opentype");
}

/* ======================
   BASE DO SITE
====================== */

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--text-color1);
    line-height: 1.6;
    transition: background 0.3s, color 0.3s;

    background: var(--gradient-bg);
    color: var(--text-color);

    line-height: 1.6;
    margin: 0;

    transition:
        background 0.4s ease,
        color 0.4s ease;

}

main {
    flex: 1;
}

img {
    max-width: 100%;
    height: auto;
}

/* ======================
   CONTAINER
====================== */

.container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
}

/* ======================
   HEADER GLOBAL
====================== */

.header {
    padding-top: 120px;
    margin-top: 20px;
    margin-bottom: 10px;
}

.header-content {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;

    background: transparent;

    z-index: 999;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 20px 60px;
}

/* LOGO */

.header-logo {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    color: var(--text-color);
}

.header-logo img {
    width: 40px;
    height: 40px;
}

.header-logo h1 {
    font-family: "MinhaFonte", serif;
    font-size: 24px;
}

/* NAV */

.nav-list a {
    padding: 8px 18px;
    border-radius: 20px;
    background-color: var(--button-bg);
    transition: 0.3s;
    color: var(--link-color);
    text-decoration: none;
    font-weight: 600;
    padding: 8px 18px;

}

.nav-list a:hover {
    border: 1px solid var(--text-color);
    background-color: transparent;
}

.nav-list {
    display: flex;
    list-style: none;
    gap: 25px;
}

.menu-toggle {
    display: none;
    font-size: 26px;
    background: none;
    border: none;
    cursor: pointer;
}

.name {
    margin-top: 10px;
    display: none;
    font-size: 25px;
    background: none;
    border: none;
    cursor: pointer;
}

/* ======================
   FOOTER GLOBAL
====================== */

.footer {
    margin-top: 80px;
    background-color: var(--footer-bg);
    text-align: center;
    padding: 20px;
}

.footer-content {
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* LOGO */

.footer-logo {
    display: flex;
    align-items: left;
    gap: 10px;
}

.footer-logo img {
    width: 40px;
    height: 40px;
}

.social-links {
    margin-bottom: 10px;
}

.social-links a {
    margin: 0 10px;
    color: var(--link-color);
    text-decoration: none;
    transition: 0.3s;
}

.social-links a:hover {
    color: var(--link-hover);
}

.footer p {
    text-align: right;
    font-size: 14px;
    color: var(--link-color);
}

/* ======================
   BOTÃO TEMA
====================== */

#theme-toggle {
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
}

/* ======================
   RESPONSIVIDADE GLOBAL
====================== */

/* HEADER */

@media (max-width: 768px) {

    /* esconder menu normal */
    .nav-list {
        display: none;
        flex-direction: column;
        gap: 15px;

        position: absolute;
        top: 90px;
        right: 20px;

        background: var(--header-bg);
        padding: 20px;
        border-radius: 20px;
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    }

    /* mostrar ☰ */
    .menu-toggle {
        display: block;
    }

    /* mostrar Nome */
    .name {
        display: block;
    }

    /* quando aberto */
    .nav-list.active {
        display: flex;
    }

}

/* FOOTER */

@media (max-width: 900px) {

    .cta-section {
        grid-template-columns: repeat(2, 1fr);
    }

}

@media (max-width: 600px) {

    .cta-section {
        grid-template-columns: 1fr;
    }

    .header-content {
        flex-direction: column;
        gap: 10px;
    }

}